---
apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: spoop-app
  name: spoop-app
spec:
  replicas: 1
  selector:
    matchLabels:
      app: spoop-app
  template:
    metadata:
      labels:
        app: spoop-app
    spec:
      containers:
        - image: harbor.dsjsystems.com/library/klaxon_flask
          name: spoop-app
          volumeMounts:
            - mountPath: /dev/gpiomem
              name: dev-gpiomem
          securityContext:
            privileged: true
      volumes:
        - name: dev-gpiomem
          hostPath:
            path: /dev/gpiomem
---
apiVersion: v1
kind: Service
metadata:
  name: spoop-app
spec:
  selector:
    app: spoop-app
  ports:
  - name: spoop-app
    protocol: TCP
    port: 80
    targetPort: 5000
  type: LoadBalancer
